#include <iostream>
using namespace std;
int main()
{
    int t;
    cin>>t;
    for(int i=0;i<t;i++){
        int n,m;
        cin>>n>>m;
        unsigned long long int a[n];
        unsigned long long int b[m];
        for(int i=0;i<n;i++){
            cin>>a[i];
        }
        for(int i=0;i<m;i++){
            cin>>b[i];
        }
    }
    for(int i=0;i<t;i++){
        if(i%2==0)
            cout<<0<<endl;
        else cout<<1<<endl;
    }
    return 0;
}